Node('ma11.config.sea.psi.ch',
     'MA11 cryomagnet for SANS',
)

Mod('sea_main',
    'frappy_psi.sea.SeaClient',
    'main sea connection for ma11.config',
    config='ma11.config',
    service='main',
)

Mod('tt',
    'frappy_psi.sea.LscDrivable', '',
    io='sea_main',
    meaning=['temperature_regulation', 27],
    sea_object='tt',
    sensor_path='tm',
    set_path='set',  
)

Mod('cc',
    'frappy_psi.sea.SeaReadable', '',
    io='sea_main',
    sea_object='cc',
)

Mod('nv',
    'frappy_psi.sea.SeaWritable', '',
    io='sea_main',
    sea_object='nv',
)

Mod('hepump',
    'frappy_psi.sea.SeaWritable', '',
    io='sea_main',
    sea_object='hepump',
)

Mod('hemot',
    'frappy_psi.sea.SeaDrivable', '',
    io='sea_main',
    sea_object='hemot',
)

Mod('ln2fill',
    'frappy_psi.sea.SeaWritable', '',
    io='sea_main',
    sea_object='ln2fill',
)

Mod('hefill',
    'frappy_psi.sea.SeaWritable', '',
    io='sea_main',
    sea_object='hefill',
)

Mod('lev',
    'frappy_psi.sea.SeaReadable', '',
    io='sea_main',
    sea_object='lev',
)

Mod('mf',
    'frappy_psi.sea.SeaDrivable', '',
    io='sea_main',
    sea_object='mf',
)

Mod('tcoil',
    'frappy_psi.sea.SeaReadable', '',
    io='sea_main',
    sea_object='tcoil',
)

Mod('table',
    'frappy_psi.sea.SeaReadable', '',
    io='sea_main',
    sea_object='table',
)

Mod('ccu2',
    'frappy_psi.sea.SeaWritable', '',
    io='sea_main',
    sea_object='ccu2',
)

Mod('lnv',
    'frappy_psi.sea.SeaWritable', '',
    io='sea_main',
    sea_object='lnv',
)

Mod('lpr',
    'frappy_psi.sea.SeaDrivable', '',
    io='sea_main',
    sea_object='lpr',
)

Mod('lambdawatch',
    'frappy_psi.sea.SeaReadable', '',
    io='sea_main',
    sea_object='lambdawatch',
)

Mod('stick_io',
    'frappy_psi.phytron.PhytronIO',
    'dom motor IO',
    uri='ma11-ts.psi.ch:3005',
)

Mod('stickrot',
    'frappy_psi.phytron.Motor',
    'stick rotation, typically not used as omega',
    io='stick_io',
    encoder_mode='NO',
)
